/*
 *      Script par Tanguy Gimenez      
 *
 */

using UnityEngine;

public class PlayerNature : MonoBehaviour
{
    public int maxNature = 200;
    public int currentNature;
    public Bar natureBar;

    void Start()
    {
        this.currentNature = this.maxNature/2;

        this.natureBar.SetMaxNature(this.maxNature);
    }

    // Update is called once per frame
    void Update()
    {
        Vector3 pos = Camera.main.WorldToViewportPoint(transform.position);
        pos.x = Mathf.Clamp01(pos.x);
        pos.y = Mathf.Clamp01(pos.y);
        transform.position = Camera.main.ViewportToWorldPoint(pos);

        if (Input.GetKeyDown(KeyCode.Space))
            this.LooseNature(1);
    }


    public void LooseNature(int damage)
    {
        this.currentNature -= damage;
        this.natureBar.SetValue(this.currentNature);
    }
}
